Key overview
| Key version | V4 |
|---|---|
| Specification | RFC 2440 · RFC 4880 · RFC 9580 |
| Status | Compatible, but deprecated by RFC 9580 |
| Primary key (certify, sign) | ECDSA NIST P-384 · ID 19 · SHA-384 |
| Encryption subkey | ECDH NIST P-384 · ID 18 |
| Fingerprint | BA4E573B5A95992A08B884B8AB586F5CAA5B7A91 |
| Passphrase of the private key | synthetic-key-password |
Algorithms and use
ECDSA NIST P-384: Elliptic-curve signature on the NIST P-384 curve with SHA-384, for policies that require a NIST security level of 192 bits.
ECDH NIST P-384: Elliptic-curve Diffie-Hellman encryption subkey on NIST P-384.
Public key
The public certificate with the primary key, the encryption subkey and their binding signatures. Import it to verify signatures or to encrypt to this test identity.
Download → 892 bytes
-----BEGIN PGP PUBLIC KEY BLOCK-----
xm8EaveFBxMFK4EEACIDAwTwP3saHWRdpgCH8BRyPQwJMBrp4cRfMxTo1jKEkBsk
4t0BJ/SRTwt9GW6HCSgIL+F5pccO+N6Rv/tpwcK9asVG8tn7pwSRAOdni9aMVzba
B8Pepn2Rgl3nAW0VVaY/lxvNJkNILUogbWF0cml4IDIyLXY0LWVjZHNhLXAzODQr
ZWNkaC1wMzg0wqwEExMJADQFAmr3hQcWIQS6Tlc7WpWZKgi4hLirWG9cqlt6kQIb
AwIeAQMLCQcBFQEWBScJAgcCAhkBAAoJEKtYb1yqW3qR8z4BgOgJ524F1+/n2iRm
jaukbT+poOaeuH6VkOitCFGFjT8Lam60e5SYuPMjDbtbGdS8hQF8D9/mJzC9P1HC
o5A8VUy3tKBaGHNDaJml9M7FWQThDmovNhJ5qEYOm0QQsY6MGOdUznMEaveFBxIF
K4EEACIDAwQbvZr2aiLIbyY7wpRARH8NQLxoUp9qkp0WOF1AL3wp8lFjGik8DX+/
eC506jE4WImKsZz3c0pCL6FTiaABBgjM49T4N81r65Ps2GOqNPJ9Vhpj61uUjbkD
KFDsw21H8SIDAQkIwpgEGBMJACAFAmr3hQcWIQS6Tlc7WpWZKgi4hLirWG9cqlt6
kQIbDAAKCRCrWG9cqlt6kWJFAX92J4+mOHncAvbgG/LTknkSlw5BQanmodSHCTHQ
PXafqe9hJ7tTtj+tcyyQGkYdVe8BfAi3r1QHtN+pqbuhcLqSC1X6X2CX4vnA+5v2
M6m3MpI8mq8Vdiu+S2zX9CuI/GE6nA==
=ayES
-----END PGP PUBLIC KEY BLOCK-----
Private key
The private key, protected with the passphrase shown above. Published for testing only: anyone can use it.
Download → 1 162 bytes
Show
-----BEGIN PGP PRIVATE KEY BLOCK-----
xcASBGr3hQcTBSuBBAAiAwME8D97Gh1kXaYAh/AUcj0MCTAa6eHEXzMU6NYyhJAb
JOLdASf0kU8LfRluhwkoCC/heaXHDvjekb/7acHCvWrFRvLZ+6cEkQDnZ4vWjFc2
2gfD3qZ9kYJd5wFtFVWmP5cb/gkDCB5MdZ1XCAVu4Ej5a5EUf7YRJdtMQ9432jXq
kWE4xSHY9rN8v9Y8yhPx9tdsVZKN57s5rNMDYhi1cIWx8Lj4TIIGGaQgGRlfbBCB
5Q//bMX7pkpUnohFC/o/L0L7nIv0zSZDSC1KIG1hdHJpeCAyMi12NC1lY2RzYS1w
Mzg0K2VjZGgtcDM4NMKsBBMTCQA0BQJq94UHFiEEuk5XO1qVmSoIuIS4q1hvXKpb
epECGwMCHgEDCwkHARUBFgUnCQIHAgIZAQAKCRCrWG9cqlt6kfM+AYDoCeduBdfv
59okZo2rpG0/qaDmnrh+lZDorQhRhY0/C2putHuUmLjzIw27WxnUvIUBfA/f5icw
vT9RwqOQPFVMt7SgWhhzQ2iZpfTOxVkE4Q5qLzYSeahGDptEELGOjBjnVMfAFgRq
94UHEgUrgQQAIgMDBBu9mvZqIshvJjvClEBEfw1AvGhSn2qSnRY4XUAvfCnyUWMa
KTwNf794LnTqMThYiYqxnPdzSkIvoVOJoAEGCMzj1Pg3zWvrk+zYY6o08n1WGmPr
W5SNuQMoUOzDbUfxIgMBCQj+CQMI/CAOINGj7h7gSkKMX7JJJhTDZsTa6/BOpe/K
Gzv1CPdKNt3Jnx0UTOu9VsoFca38Go7fs4gWKmA7NwCXnazaHNUCRAe3wTTa6cVY
gLuOvaH3S31C0c03LKc4XlU2YHXCmAQYEwkAIAUCaveFBxYhBLpOVztalZkqCLiE
uKtYb1yqW3qRAhsMAAoJEKtYb1yqW3qRYkUBf3Ynj6Y4edwC9uAb8tOSeRKXDkFB
qeah1IcJMdA9dp+p72Enu1O2P61zLJAaRh1V7wF8CLevVAe036mpu6FwupILVfpf
YJfi+cD7m/YzqbcykjyarxV2K75LbNf0K4j8YTqc
=f6p+
-----END PGP PRIVATE KEY BLOCK-----
Revocation certificate
A pre-generated revocation certificate. Importing it marks the key as revoked; it is published so you can test how software handles revoked keys.
Download → 1 095 bytes
Show
-----BEGIN PGP PUBLIC KEY BLOCK-----
xm8EaveFBxMFK4EEACIDAwTwP3saHWRdpgCH8BRyPQwJMBrp4cRfMxTo1jKEkBsk
4t0BJ/SRTwt9GW6HCSgIL+F5pccO+N6Rv/tpwcK9asVG8tn7pwSRAOdni9aMVzba
B8Pepn2Rgl3nAW0VVaY/lxvClQQgEwkAHQUCaveFBxYhBLpOVztalZkqCLiEuKtY
b1yqW3qRAAoJEKtYb1yqW3qRs8MBgIDQ3VgEAOwhmwDTlcPHY1n0TF1kNHUvuk7g
XYrjVpSwdPCbOxKiRLFiXTLoWa7wvAF+K3sT+pBqLcNktBzJHoRbI419wZEXzr/J
5jkgZ9zLG9abGbJpKH0W2DC7TNHvaoFPzSZDSC1KIG1hdHJpeCAyMi12NC1lY2Rz
YS1wMzg0K2VjZGgtcDM4NMKsBBMTCQA0BQJq94UHFiEEuk5XO1qVmSoIuIS4q1hv
XKpbepECGwMCHgEDCwkHARUBFgUnCQIHAgIZAQAKCRCrWG9cqlt6kfM+AYDoCedu
Bdfv59okZo2rpG0/qaDmnrh+lZDorQhRhY0/C2putHuUmLjzIw27WxnUvIUBfA/f
5icwvT9RwqOQPFVMt7SgWhhzQ2iZpfTOxVkE4Q5qLzYSeahGDptEELGOjBjnVM5z
BGr3hQcSBSuBBAAiAwMEG72a9moiyG8mO8KUQER/DUC8aFKfapKdFjhdQC98KfJR
YxopPA1/v3gudOoxOFiJirGc93NKQi+hU4mgAQYIzOPU+DfNa+uT7NhjqjTyfVYa
Y+tblI25AyhQ7MNtR/EiAwEJCMKYBBgTCQAgBQJq94UHFiEEuk5XO1qVmSoIuIS4
q1hvXKpbepECGwwACgkQq1hvXKpbepFiRQF/diePpjh53AL24Bvy05J5EpcOQUGp
5qHUhwkx0D12n6nvYSe7U7Y/rXMskBpGHVXvAXwIt69UB7Tfqam7oXC6kgtV+l9g
l+L5wPub9jOptzKSPJqvFXYrvkts1/QriPxhOpw=
=2Xz2
-----END PGP PUBLIC KEY BLOCK-----
Signature of test_1MB.bin
Detached ASCII-armored signature of test_1MB.bin made with this key in CH-J Tools. Save it as test_1MB.bin.asc next to the test file.
Download → 273 bytes
-----BEGIN PGP SIGNATURE-----
wpUEABMJAB0WIQS6Tlc7WpWZKgi4hLirWG9cqlt6kQUCaveO8gAKCRCrWG9cqlt6
kUHJAX9rEtBb020cNXupXXthuNlBLXNGTU6lTJ5mJnix842lWtUW7GWTN9By+SIw
7vzoZ0IBfj4G8g8Vp7VcL6eIVdc8CFmswyX8ZpqY/qd4bFJtJuZw16GJ7DJz1pA0
sA+Y2i64yQ==
=0iaK
-----END PGP SIGNATURE-----
Verify the signature
Version 4 keys work with GnuPG and with SOP tools such as sqop or rsop, as far as the algorithms are supported. Use a temporary GNUPGHOME so the test key does not enter your real keyring:
gpg --import pgp-example-22-public.asc
gpg --verify test_1MB.bin.asc test_1MB.bin